# PROFESSIONAL HEADLESS PDF

## Introduction

This documentation explains how to use the SIGNIUS PROFESSIONAL HEADLESS PDF API.<br>

**The API allows you to integrate document signing into your application, keeping the SIGNIUS Portal hidden from the end-user.**

Communication is handled via port 8970 using an API key or a generated certificate (please contact our team to request it).

To enable PROFESSIONAL HEADLESS PDF API functionality, you must first initialize user creation via our PROFESSIONAL RA API (unless the user has already been created through this API).

## **The following methods steps should be performed:**

* (RA) Create a new user
* (RA) Initialize identity verification
* (RA) Get the list of verification methods for user
* (RA) Check if user needs to be verified
* (RA) Delete user (**optional**)

For more information, visit <https://docs.signius.eu/api/ra>

## &#x20;This documentation shows how to:

* Create folder
* Upload a document
* Submit a document for signing
* Create Session
* Signing hash via SMS
* Download the signed document
* Delete a document
* Delete a folder


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.signius.eu/api/professional-headless-pdf/professional-headless-pdf.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
